cc.funkemunky.api.tinyprotocol.api

## Enum ProtocolVersion

- java.lang.Object
- - java.lang.Enum<ProtocolVersion>
  - - cc.funkemunky.api.tinyprotocol.api.ProtocolVersion

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ProtocolVersion>

    public enum ProtocolVersion
    extends java.lang.Enum<ProtocolVersion>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`UNKNOWN`
`V1_10`
`V1_10_2`
`V1_11`
`V1_12`
`V1_12_1`
`V1_12_2`
`V1_13`
`V1_13_1`
`V1_13_2`
`V1_14`
`V1_7`
`V1_7_10`
`V1_8`
`V1_8_5`
`V1_8_9`
`V1_9`
`V1_9_1`
`V1_9_2`
`V1_9_4`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ProtocolVersion` `getVersion(int versionId)`
`boolean` `isAbove(ProtocolVersion version)`
`boolean` `isBelow(ProtocolVersion version)`
`boolean` `isOrAbove(ProtocolVersion version)`
`static ProtocolVersion` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ProtocolVersion[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### V1_7

    public static final ProtocolVersion V1_7

#### V1_7_10

    public static final ProtocolVersion V1_7_10

#### V1_8

    public static final ProtocolVersion V1_8

#### V1_8_5

    public static final ProtocolVersion V1_8_5

#### V1_8_9

    public static final ProtocolVersion V1_8_9

#### V1_9

    public static final ProtocolVersion V1_9

#### V1_9_1

    public static final ProtocolVersion V1_9_1

#### V1_9_2

    public static final ProtocolVersion V1_9_2

#### V1_9_4

    public static final ProtocolVersion V1_9_4

#### V1_10

    public static final ProtocolVersion V1_10

#### V1_10_2

    public static final ProtocolVersion V1_10_2

#### V1_11

    public static final ProtocolVersion V1_11

#### V1_12

    public static final ProtocolVersion V1_12

#### V1_12_1

    public static final ProtocolVersion V1_12_1

#### V1_12_2

    public static final ProtocolVersion V1_12_2

#### V1_13

    public static final ProtocolVersion V1_13

#### V1_13_1

    public static final ProtocolVersion V1_13_1

#### V1_13_2

    public static final ProtocolVersion V1_13_2

#### V1_14

    public static final ProtocolVersion V1_14

#### UNKNOWN

    public static final ProtocolVersion UNKNOWN

### Method Detail

#### values

    public static ProtocolVersion[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ProtocolVersion c : ProtocolVersion.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ProtocolVersion valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getVersion

    public static ProtocolVersion getVersion(int versionId)

#### isBelow

    public boolean isBelow(ProtocolVersion version)

#### isAbove

    public boolean isAbove(ProtocolVersion version)

#### isOrAbove

    public boolean isOrAbove(ProtocolVersion version)